<?php
    session_start();
/*
 * verifLogin.php
 * Contrôle du login et du mot de passe saisi
 */

// Si ztLogin ou si ztMdp n'existe pas, retour à la page index
//if (!isset($_POST["ztLogin"]) or !isset($_POST["ztMdp"])) {
//    header('location: index.php');    // retour page index
//    exit();
//}
// Récupération du login et du mot de passe saisi
//$login =    $_POST["ztLogin"];
//$mdp =      $_POST["ztMdp"];
//echo "<p>Login saisi : $login, mot de passe saisi : $mdp</p>";
// Contrôle login et mot de passe
//if ($login == "tintin" and $mdp == "milou"){
//    echo "<h3>Bienvenue $login</h3";
//} else {
//    header('location: index.php?msg=Erreur login ou mot de passe');    // retour page index avec message d'erreur
//    exit();
//}
// Suppression des caractères spéciaux
$data = filter_input_array(INPUT_POST, FILTER_SANITIZE_STRING);

//var_dump($data);
// Si le nombre de variables reçues est différents du nombre attendu, retour au formulaire
const NB_VAR = 2; // Nombre de variables attendues
if (count($data) != NB_VAR) {
    header("location:index.php");
    exit();
}

// Contrôles des zones obligatoires
$lib = ["Login", "Mot de passe"];
$valeurs = array_values($data);
for ($i = 0; $i < NB_VAR; $i++) {
    if (strlen(trim($valeurs[$i])) <= 0) {
        $message = $lib[$i] . " non valide";
        header("location:inscription.php?msg=$message");
        exit();
    }
}

require_once('modele/accesBDD.php');
$dbh = connexion();
$user = controlerUtilisateur($dbh, $data["ztLogin"], $data["ztMdp"]);
if ($user) {
    $_SESSION['id'] = $user['id'];
    $_SESSION['nom'] = $user['nom'];
    $_SESSION['prenom'] = $user['prenom'];
    $_SESSION['role']= $user['role'];
    if ($user['role']==0){
        header("location:affichageVisite.php");    
    }
    else{
        header("location:moduleResponsable.php");
    }
    //echo "<p>Authentification réussie, bienvenue " . $user['prenom'] . " " . $user['nom'] . "</p>";
} else {
    $message = "Login ou mot de passe erroné";
    header("location:index.php?msg=$message");
    exit();
}



